import { Image, Text, View } from "@tarojs/components";
import { memo, useEffect, useMemo, useRef, useState } from "react";
import classnames from "classnames";
import styles from './index.module.scss'
import IconFont from '@/components/iconfont/iconfont'
interface propsObj {
    receivingStatus: Number | null,
    onReceivingStatus?: (any, Number) => void,
    obj: any,
    navSelect?: (any) => void
}
export default memo((props: propsObj) => {

    const {
        receivingStatus = 2,
        onReceivingStatus,
        obj = {},
        navSelect
    } = props
    const addressInfo = useMemo(() => {
        if (receivingStatus == 1) {
            return obj.take_goods_address
        } else {
            return obj.province_name + obj.city_name + obj.district_name
        }
    }, [obj, receivingStatus])

    // const addressPone = useMemo(() => {
    //     if (receivingStatus == 1) {
    //         return 13242128982
    //     } else {
    //         return obj.purchaser_phone
    //     }
    // }, [obj,receivingStatus])

    // const addressUser = useMemo(() => {
    //     if (receivingStatus == 1) {
    //         return '谭先生'
    //     } else {
    //         return obj.target_user_name
    //     }
    // }, [obj,receivingStatus])

    return (
        <View className={styles.addressBox}>
            <View className={styles.topBox} onClick={() => navSelect?.(obj)}>
                <View className={styles.cirle}>
                    <IconFont name={'icon-dingwei'} size={26} color={'#ffffff'}></IconFont>
                    {/* <View className={classnames('iconfont', 'icon-dingwei', styles.dingwei)}></View> */}
                </View>
                <View className={styles.address}>{addressInfo}</View>
                {
                    receivingStatus !== 1 &&
                    <IconFont name={'icon-chakanquanbukehu'} size={50} ></IconFont>
                    // <View className={classnames('iconfont', 'icon-chakanquanbukehu', styles.icon_more)}></View>
                }
            </View>
            <View className={styles.line}></View>
            <View className={styles.bottom}>
                <View className={styles.name}>{receivingStatus === 1 ? '谭先生' : obj.target_user_name}</View>
                <View className={styles.phone}>{receivingStatus === 1 ? 13242128982 : obj.purchaser_phone}</View>
                <View className={styles.reatBox}>
                    <View className={styles.updateBtn}>
                        <View className={styles.updateBtn_list}>
                            <View className={classnames(styles.updateBtn_item, receivingStatus == 1 && styles.updateBtn_item_select)} onClick={(e) => onReceivingStatus?.(e, 1)}>
                                自提
                            </View>
                            <View className={classnames(styles.updateBtn_item, receivingStatus == 2 && styles.updateBtn_item_select)} onClick={(e) => onReceivingStatus?.(e, 2)}>
                                物流
                            </View>
                        </View>
                        <View style={{ transform: receivingStatus == 1 ? 'translateX(0)' : 'translateX(100%)' }} className={classnames(styles.updateBtn_select)}></View>
                    </View>
                </View>
            </View>
        </View >
    )
})